org.eclipse.emf.cdo.transfer

## Class CDOTransfer.ModelTransferContext.ResolveProxyAdapter.LoadResourceAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.cdo.transfer.CDOTransfer.ModelTransferContext.ResolveProxyAdapter.LoadResourceAdapter

- All Implemented Interfaces:
    Adapter, Adapter.Internal
  Enclosing class:
    CDOTransfer.ModelTransferContext.ResolveProxyAdapter

      public static class CDOTransfer.ModelTransferContext.ResolveProxyAdapter.LoadResourceAdapter
      extends AdapterImpl

  An `adapter` for a `resource` that resolves all proxies in that resource when it's demand loaded.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadResourceAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyChanged(Notification msg)`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, isAdapterForType, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadResourceAdapter

          public LoadResourceAdapter()

  - ### Method Detail

    - #### notifyChanged

          public void notifyChanged(Notification msg)

      Specified by:
        `notifyChanged` in interface `Adapter`
      Overrides:
        `notifyChanged` in class `AdapterImpl`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html